<?php
 
 
 

namespace PhpWA\Protocol\Proto\SenderKeyStateStructure;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SenderMessageKey extends \Google\Protobuf\Internal\Message
{
    


    protected $iteration = null;
    


    protected $seed = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getIteration()
    {
        return isset($this->iteration) ? $this->iteration : 0;
    }

    public function hasIteration()
    {
        return isset($this->iteration);
    }

    public function clearIteration()
    {
        unset($this->iteration);
    }

    




    public function setIteration($var)
    {
        GPBUtil::checkUint32($var);
        $this->iteration = $var;

        return $this;
    }

    



    public function getSeed()
    {
        return isset($this->seed) ? $this->seed : '';
    }

    public function hasSeed()
    {
        return isset($this->seed);
    }

    public function clearSeed()
    {
        unset($this->seed);
    }

    




    public function setSeed($var)
    {
        GPBUtil::checkString($var, False);
        $this->seed = $var;

        return $this;
    }

}

